// HbxAppDlg.h : header file
//

#include "afxwin.h"
#if !defined(AFX_HBXAPPDLG_H__B5531B6A_DAD0_413B_B257_3E1A51AD0C38__INCLUDED_)
#define AFX_HBXAPPDLG_H__B5531B6A_DAD0_413B_B257_3E1A51AD0C38__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CHbxAppDlg dialog

class CHbxAppDlg : public CDialog
{
// Construction
public:
	  CHbxAppDlg(CWnd* pParent = NULL);	// standard constructor
    int   HB_OpenFlag;
    int   HB_OpenSta;
    UINT_PTR htimer;
// Dialog Data
	//{{AFX_DATA(CHbxAppDlg)
	enum { IDD = IDD_HBXAPP_DIALOG };
    CString m_strbut;
	CString	m_strLine1;
	CString	m_strUsb;
	//}}AFX_DATA
void  DownloadLed() ;
void  ClrbitMap(BYTE lightw) ;
void  LigntMAP(BYTE lightw) ;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHbxAppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CHbxAppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg   LRESULT   OnTaskKeyPress(WPARAM   wParam,LPARAM   lParam);
	afx_msg   LRESULT   OnUSbScan(WPARAM   wParam,LPARAM   lParam);    
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonDw();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
 
	CString m_strlin2;
	CString m_strlin3;
	CString m_strlin4;
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HBXAPPDLG_H__B5531B6A_DAD0_413B_B257_3E1A51AD0C38__INCLUDED_)
